---
api: 'Open Banking API'
---

# Retrieve all transactions

Get all the recent transactions for an account.

:::note
In compliance with PSD2 SCA regulations, full transaction history can only be accessed within the first 5 minutes after the Revolut user has authorised the consent.
After those 5 minutes, transaction history is restricted to the last 90 days counting from the moment the API request is made, and older transactions are not returned.

Additionally, after those 5 minutes, unless the user is present and actively requesting data, you should not retrieve transaction data of an individual account more than 4 times within a 24-hour period.
:::

See also [Tutorials: Get account and transaction information](/docs/guides/build-banking-apps/tutorials/get-account-and-transaction-information).

## Endpoint

GET `/accounts/{AccountId}/transactions`

## Parameters

### header parameters

- `x-fapi-financial-id` (string, required)
  The unique ID of the [ASPSP](/docs/guides/build-banking-apps/glossary) that the request is issued to.
  The ID of Revolut is `001580000103UAvAAM`.

- `x-fapi-customer-last-logged-time` (string, optional)
  The date and time when the [PSU](/docs/guides/build-banking-apps/glossary) last logged in with the [TPP](/docs/guides/build-banking-apps/glossary).
  
  All dates in the HTTP headers are represented as [RFC 7231](https://datatracker.ietf.org/doc/html/rfc7231#section-7.1.1.1) Full Dates.
  For example: <nobr>`Sun, 10 Sep 2017 19:43:31 UTC`</nobr>.

- `x-fapi-customer-ip-address` (string, optional)
  The IP address of the [PSU](/docs/guides/build-banking-apps/glossary) if the PSU is logged in with the [TPP](/docs/guides/build-banking-apps/glossary).

- `x-fapi-interaction-id` (string, optional)
  An [RFC4122](https://datatracker.ietf.org/doc/html/rfc4122) UUID used as a correlation ID.

- `Authorization` (string, required)
  The access token that you've generated.
  For more information, see [Generate an access token](/docs/guides/build-banking-apps/get-started/get-access-token).

- `x-customer-user-agent` (string, optional)
  The user agent that the [PSU](/docs/guides/build-banking-apps/glossary) is using.

### path parameters

- `AccountId` (string, required)
  The ID of the account.

### query parameters

- `fromBookingDateTime` (string, optional)
  The UTC [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) Date Time to filter transactions.
  If the parameter is provided, only transactions with `BookingDateTime >= fromBookingDateTime` will be returned.
  Note that the results are paginated.
  
  :::note
  If you provide this parameter, both the date and time components are required.
  If you don't need to filter by time, you can set the time part to `00:00:00`. 
  For example, to fetch transactions with `BookingDateTime` equal to or after 09 Oct 2025, set this value to `2025-10-09T00:00:00Z`.
  :::

- `toBookingDateTime` (string, optional)
  The UTC [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) Date Time to filter transactions.
  
  If the parameter is provided, only transactions with `BookingDateTime < toBookingDateTime` will be returned.
  Used for pagination: to fetch the next page of results, use the `BookingDateTime` of the last transaction from the current page as the new `toBookingDateTime` value. 
  
  If not provided, the most recent transactions will be returned.
  
  :::note
  If you provide this parameter, both the date and time components are required.
  If you don't need to filter by time, you can set the time part to `00:00:00`. 
  For example, to fetch transactions with `BookingDateTime` older than 13 Feb 2026, set this value to `2026-02-13T00:00:00Z`.
  :::

## Returns

### 200

Transactions Read

#### Response attributes

- `Data` (object)
  - `Data.Transaction` (array of object, optional)
      The details about the transaction.
    - `Data.Transaction[].AccountId` (string)
        The unique and immutable ID to identify the account resource.
        This ID has no meaning to the account owner.
    - `Data.Transaction[].TransactionId` (string, optional)
        The unique and immutable ID to identify the transaction within an servicing institution.
    - `Data.Transaction[].CreditDebitIndicator` (enum)
        Indicates whether the transaction is a credit or a debit entry.
        Possible enum values:

        - `Credit`
        - `Debit`
    - `Data.Transaction[].Status` (enum)
        The status of a transaction entry on the books of the account servicer.
        Possible enum values:

        - `Booked`
        - `Pending`
    - `Data.Transaction[].BookingDateTime` (string)
        The date and time when the transaction entry is created in Revolut's systems.
        Represented in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date-time format including timezone.            
        
        :::note[Offline transactions]
        For offline transactions, this value reflects when the transaction is recorded by Revolut, not when the transaction was originally initiated.
        The original transaction date is available in `SupplementaryData.StartedDate`.
        :::
    - `Data.Transaction[].ValueDateTime` (string, optional)
        The date and time when the transaction is completed.
        Returned only for transactions with `Status=Booked`.
        
        Represented in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date-time format including timezone.
    - `Data.Transaction[].Amount` (object)
        Amount of money in the cash transaction entry. This amount includes the amount in `ChargeAmount`.
      - `Data.Transaction[].Amount.Amount` (string)
          The amount of money where the unit of currency is explicit and compliant with [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
      - `Data.Transaction[].Amount.Currency` (string)
          [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
    - `Data.Transaction[].ChargeAmount` (object, optional)
        Transaction charges to be paid by the charge bearer.
      - `Data.Transaction[].ChargeAmount.Amount` (string)
          The amount of money where the unit of currency is explicit and compliant with [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
      - `Data.Transaction[].ChargeAmount.Currency` (string)
          [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
    - `Data.Transaction[].CurrencyExchange` (object, optional)
        A list of elements to provide details on the currency exchange.
      - `Data.Transaction[].CurrencyExchange.SourceCurrency` (string)
          The currency that is exchanged from.
      - `Data.Transaction[].CurrencyExchange.TargetCurrency` (string, optional)
          The currency that is exchanged to.
      - `Data.Transaction[].CurrencyExchange.UnitCurrency` (string, optional)
          The currency that the exchange rate is expressed in.
          For example, for 1 GBP = xxx EUR, the `UnitCurrency` value is GBP.
      - `Data.Transaction[].CurrencyExchange.ExchangeRate` (string)
          The exchange rate used to convert an amount of money from one currency into another.
          
          This reflects the price that one currency was bought at with another currency.
          
          :::note
          `ExchangeRate` expresses the ratio between `UnitCurrency` and `QuotedCurrency`:
          **`ExchangeRate` = `UnitCurrency`/`QuotedCurrency`**.
          :::
      - `Data.Transaction[].CurrencyExchange.InstructedAmount` (object, optional)
          Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
        - `Data.Transaction[].CurrencyExchange.InstructedAmount.Amount` (string)
            The amount of money where the unit of currency is explicit and compliant with [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
        - `Data.Transaction[].CurrencyExchange.InstructedAmount.Currency` (string)
            [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
    - `Data.Transaction[].ProprietaryBankTransactionCode` (object, optional)
        A list of elements to fully identify a proprietary bank transaction code.
      - `Data.Transaction[].ProprietaryBankTransactionCode.Code` (string)
          The proprietary bank transaction code to identify the underlying transaction.
      - `Data.Transaction[].ProprietaryBankTransactionCode.Issuer` (string, optional)
          The identification of the issuer of the proprietary bank transaction code.
    - `Data.Transaction[].SupplementaryData` (allOf, optional)
        Additional information that cannot be captured in the structured fields and/or any other specific block.
      - `Data.Transaction[].SupplementaryData.StartedDate` (string, optional)
          The date and time the transaction started in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          
          Returned if it is different from `BookingDateTime`.
          
          For example, if the transaction was an offline card transaction made during a flight and would be booked at a later time or date, this field indicates the actual date and time the transaction took place, as provided by the merchant.
    - `Data.Transaction[].TransactionInformation` (string, optional)
        The additional information of the transaction, which is unstructured text.
    - `Data.Transaction[].Balance` (object, optional)
        A list of elements used to define the balance as a numerical representation of the net increases and decreases in an account after a transaction entry is applied to the account.
      - `Data.Transaction[].Balance.CreditDebitIndicator` (enum)
          Indicates whether the balance is a credit or a debit balance.
          
          :::note
          A zero balance is considered a credit balance.
          :::
          Possible enum values:

          - `Credit`
          - `Debit`
      - `Data.Transaction[].Balance.Type` (enum)
          The balance type.
          Possible enum values:

          - `InterimAvailable`
          - `InterimBooked`
          - `ClosingAvailable`
          - `ClosingBooked`
          - `ClosingCleared`
          - `Expected`
          - `ForwardAvailable`
          - `Information`
          - `InterimAvailable`
          - `InterimBooked`
          - `InterimCleared`
          - `OpeningAvailable`
          - `OpeningBooked`
          - `OpeningCleared`
          - `PreviouslyClosedBooked`
      - `Data.Transaction[].Balance.Amount` (object)
          The amount of the cash balance after a transaction entry is applied to the account.
        - `Data.Transaction[].Balance.Amount.Amount` (string)
            The amount of money where the unit of currency is explicit and compliant with [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
        - `Data.Transaction[].Balance.Amount.Currency` (string)
            [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
    - `Data.Transaction[].MerchantDetails` (object, optional)
        The details of the merchant involved in the transaction.
      - `Data.Transaction[].MerchantDetails.MerchantName` (string, optional)
          The name of the merchant.
    - `Data.Transaction[].CreditorAccount` (object, optional)
        The unique ID of the account in the case of a transaction.
      - `Data.Transaction[].CreditorAccount.SchemeName` (enum, optional)
          The name of the identification scheme.
          Possible enum values:

          - `UK.OBIE.IBAN`
          - `UK.OBIE.SortCodeAccountNumber`
          - `US.RoutingNumberAccountNumber`
          - `US.BranchCodeAccountNumber`
      - `Data.Transaction[].CreditorAccount.Identification` (string, optional)
          The account ID that the institution assigns to identify an account, which is known by the account owner.
      - `Data.Transaction[].CreditorAccount.Name` (string, optional)
          The account name that the account servicing institution assigns.
          
          The account name is the name or names of the account owner(s) represented at an account level.
          
          The account name is not the product name or the nickname of the account.
      - `Data.Transaction[].CreditorAccount.SecondaryIdentification` (string, optional)
          The secondary account ID that the account servicing institution assigns.
          
          Building societies can use this ID to identify accounts with a roll number in addition to a sort code and account number combination.
    - `Data.Transaction[].DebtorAccount` (object, optional)
        The unique ID of the account in the case of a transaction.
      - `Data.Transaction[].DebtorAccount.SchemeName` (enum, optional)
          The name of the identification scheme.
          Possible enum values:

          - `UK.OBIE.IBAN`
          - `UK.OBIE.SortCodeAccountNumber`
          - `US.RoutingNumberAccountNumber`
          - `US.BranchCodeAccountNumber`
      - `Data.Transaction[].DebtorAccount.Identification` (string, optional)
          The account ID that the institution assigns to identify an account, which is known by the account owner.
      - `Data.Transaction[].DebtorAccount.Name` (string, optional)
          The account name that the account servicing institution assigns.
          
          The account name is the name or names of the account owner(s) represented at an account level.
          
          The account name is not the product name or the nickname of the account.
      - `Data.Transaction[].DebtorAccount.SecondaryIdentification` (string, optional)
          The secondary account ID that the account servicing institution assigns.
          
          Building societies can use this ID to identify accounts with a roll number in addition to a sort code and account number combination.
    - `Data.Transaction[].CardInstrument` (object, optional)
        The set of elements to describe the card instrument used in the transaction.
      - `Data.Transaction[].CardInstrument.CardSchemeName` (string)
          The brand of the payment card. Possible values include `VISA`, `MASTERCARD`, and `MAESTRO`.
      - `Data.Transaction[].CardInstrument.Identification` (string, optional)
          The last four digits of the card's PAN (Primary Account Number).
      - `Data.Transaction[].CardInstrument.Name` (string, optional)
          The name of the cardholder.
- `Links` (object)
    Links relevant to the payload.
  - `Links.Self` (string)
      The absolute URI to the resource.
  - `Links.Next` (string, optional)
      The absolute URI to the next pagination resource.
  - `Links.Prev` (string, optional)
      The absolute URI to the previous pagination resource.
- `Meta` (object)
    Meta data relevant to the payload.
  - `Meta.TotalPages` (integer, optional)
      Used for pagination. Indicates how many pages of results are available.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request |
| 401 | Unauthorized  Returned, for instance, when the access token has expired or is invalid, for example, when the consent has been revoked, or when the consent lacks necessary permissions. |
| 403 | Forbidden |
| 405 | Method Not Allowed |
| 406 | Not Acceptable |
| 429 | Too Many Requests |
| 500 | Internal Server Error |
